diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/hibernate/replace/ReferringObjectMetadataFactoryTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/hibernate/replace/ReferringObjectMetadataFactoryTest.java
index f9a3d18350..8571ee2c07 100755
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/hibernate/replace/ReferringObjectMetadataFactoryTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/hibernate/replace/ReferringObjectMetadataFactoryTest.java
@@ -13,6 +13,7 @@ package eu.etaxonomy.cdm.persistence.hibernate.replace;
 import java.util.UUID;
 
 import org.apache.log4j.Logger;
+import org.junit.Assert;
 import org.junit.Before;
 import org.junit.Test;
 import org.unitils.dbunit.annotation.DataSet;
@@ -28,7 +29,6 @@ import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 /**
  * @author ben.clark
  * @created 22.12.2009
- * @version 1.0
  */
 public class ReferringObjectMetadataFactoryTest extends CdmTransactionalIntegrationTest {
 	@SuppressWarnings("unused")
@@ -77,8 +77,8 @@ public class ReferringObjectMetadataFactoryTest extends CdmTransactionalIntegrat
 		Institution x = (Institution)agentDao.findByUuid(institution1);
 		Institution y = (Institution)agentDao.findByUuid(institution2);
 
-		assert x != null;
-		assert y != null;
+		Assert.assertNotNull(x);
+		Assert.assertNotNull(y);
 
 		agentDao.replace(x,y);
 	}
@@ -90,8 +90,8 @@ public class ReferringObjectMetadataFactoryTest extends CdmTransactionalIntegrat
 		Person x = (Person)agentDao.findByUuid(person1);
 		Person y = (Person)agentDao.findByUuid(person2);
 
-		assert x != null;
-		assert y != null;
+		Assert.assertNotNull(x);
+		Assert.assertNotNull(y);
 
 		agentDao.replace(x,y);
 		this.setComplete();
@@ -106,8 +106,8 @@ public class ReferringObjectMetadataFactoryTest extends CdmTransactionalIntegrat
 		Person x = (Person)agentDao.findByUuid(person3);
 		Person y = (Person)agentDao.findByUuid(person2);
 
-		assert x != null;
-		assert y != null;
+		Assert.assertNotNull(x);
+		Assert.assertNotNull(y);
 
 		agentDao.replace(x,y);
 	}
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java
index c4f826b329..2bd821c639 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java
@@ -453,12 +453,23 @@ public abstract class CdmIntegrationTest extends UnitilsJUnit4 {
     }
 
     /**
-     * This is the recommended method to create DbUnit dataset for integration tests.
-     *
+     * <b>WARNING</b> read this doc before using this method.
+     * <p>
+     * This is the recommended method to create DbUnit data set for integration tests.
+     * This method will create the DbUnit data set file for the specific test class
+     * it has been called from. This happens in full compliance with the DbUnit conventions,
+     * so that the test class will immediately be able to use the
+     * newly created file during the next run.
+     * This also means that using <code>writeDbUnitDataSetFile()</code>
+     * in a test class <b>will overwrite the existing data set file</b>. This is not
+     * considered to be harmful since we expect that any development always is
+     * backed up by a VCS like git, svn and therefore recovery of overwritten
+     * data source files should not cause any problems.
+     * <p>
      * Writes a  DbUnit dataset file from the current data base connection using the
-     * {@link FlatFullXmlWriter}.
-     * which is a variant of the {@link org.dbunit.dataset.xml.FlatXmlWriter}. It
-     * inserts '[null]' place holders for null values instead of skipping them.
+     * {@link FlatFullXmlWriter} which is a variant of the
+     * {@link org.dbunit.dataset.xml.FlatXmlWriter}. It
+     * inserts <code>'[null]'</code> place holders for null values instead of skipping them.
      *
      *
      * @param includeTableNames
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java
index 24b6951d20..132ec0d673 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java
@@ -9,7 +9,9 @@
 
 package eu.etaxonomy.cdm.test.integration;
 
+import org.apache.log4j.Level;
 import org.apache.log4j.Logger;
+import org.apache.log4j.Priority;
 import org.junit.After;
 import org.junit.Before;
 import org.junit.BeforeClass;
@@ -367,10 +369,10 @@ public abstract class CdmTransactionalIntegrationTest extends CdmIntegrationTest
      */
     protected void commitAndStartNewTransaction(final String[] tableNames) {
         commit();
-        if(logger.isDebugEnabled()){
+        if(logger.isEnabledFor(Level.DEBUG)){
             printDataSet(System.out, tableNames);
-            //careful, this will overwrite existing files
-//          writeDbUnitDataSetFile(tableNames);
+//            careful, this will overwrite existing files:
+//            writeDbUnitDataSetFile(tableNames);
         }
         startNewTransaction();
     }
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unitils/CleanSweepInsertLoadStrategy.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unitils/CleanSweepInsertLoadStrategy.java
index 857036fc2f..042185f8f3 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unitils/CleanSweepInsertLoadStrategy.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unitils/CleanSweepInsertLoadStrategy.java
@@ -16,7 +16,6 @@ import org.dbunit.DatabaseUnitException;
 import org.dbunit.dataset.IDataSet;
 import org.dbunit.dataset.xml.FlatXmlDataSet;
 import org.dbunit.operation.DatabaseOperation;
-import org.unitils.core.UnitilsException;
 import org.unitils.dbunit.datasetfactory.impl.MultiSchemaXmlDataSetFactory;
 import org.unitils.dbunit.datasetloadstrategy.impl.CleanInsertLoadStrategy;
 import org.unitils.dbunit.util.DbUnitDatabaseConnection;
